<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FinanceGroupSiteStatus extends Model
{
    use HasFactory;

    protected $fillable = [
        'site_id',
        'finance_group_id',
        'is_active',
    ];

    protected $casts = [
        'is_active' => 'boolean',
    ];

    public function site()
    {
        return $this->belongsTo(Site::class);
    }

    public function financeGroup()
    {
        return $this->belongsTo(FinanceGroup::class);
    }
}
